Printago API
GET /v1/materials/groups

Get all groups

List all material groups for organizing compatible materials

Requires: material.view

Response Schema

MaterialGroup[]
Array of MaterialGroup, each with:
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
parentIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
priorityrequired
number
min: 0
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
[
  {
    "name": "string",
    "priority": 0,
    "parentId": "string",
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]